from sys import exit, argv
from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyQt4 import uic
import os

Ui, _ = uic.loadUiType(os.path.join(
    os.path.dirname(__file__), 'test.ui'))

class FenetreTest(QMainWindow, Ui):
    """affiche une fenetre permettant l'accesen lecture/ecriture aux differents parametres utilises par le plugin""" 
    def __init__(self, parent=None):
        """Construction de la fenetre, remplissage des listes, et maj de l'affichage"""
        super(FenetreTest, self).__init__(parent)
        #creation de l'interface
        self.setupUi(self)
        self.majInterface()

    def majInterface(self):
        pass
    
app = QApplication(argv)
dm = FenetreTest()
dm.show()
r = app.exec_()
exit(r)      
